AL_ID(3)

NAME
AL_ID - Converts four 8 bit values to a packed 32 bit integer ID. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

Macro AL_ID(a,b,c,d)

DESCRIPTION
This macro can be used to create a packed 32 bit integer from 8 bit characters, on both 32 and 64 bit machines. These can be used for various things, like custom datafile objects or system IDs. Example:
   #define OSTYPE_LINUX       AL_ID('T','U','X',' ')

SEE ALSO
DAT_ID(3)